Bug 1411536 - [RFE] Disallow enabling 'hashpspool' option to a pool without some kind of --i-understand-this-will-remap-all-pgs flag
Summary: [RFE] Disallow enabling 'hashpspool' option to a pool without some kind of --...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.*
Assignee: Vikhyat Umrao
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 22:44 UTC by Vikhyat Umrao
Modified: 2020-02-14 18:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-26 18:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 18468 None None None 2017-01-09 22:46:11 UTC
Red Hat Knowledge Base (Solution) 2856401 None None None 2017-01-11 21:37:54 UTC

Description Vikhyat Umrao 2017-01-09 22:44:56 UTC
Description of problem:

Disallow enabling 'hashpspool' option to a pool without some kind of --i-understand-this-will-remap-all-pgs flag

Upstream Feature Tracker: http://tracker.ceph.com/issues/18468

Some customers have clusters which were created during bobtail release
and at that time this option 'hashpspool' was not present.

We need this flag ' --i-understand-this-will-remap-all-pgs ' because if any user enables 'hashpspool' option on a pool, it will change the way in which PGs in that pool are hashed(it will basically remap every pg in the pool)
and then the data movement would be catastrophic.

Other than pg hashing for the way pool/pg overlap works there are no other benefits
and for a production cluster which has a large number of osds and a large amount of data
enabling this option is surely not recommended at all.

Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 1.3.3

Comment 1 Vikhyat Umrao 2017-02-17 20:45:07 UTC
Master PR: https://github.com/ceph/ceph/pull/13406

Comment 11 Mike Hackett 2018-09-26 18:27:10 UTC
Closing CURRENTRELEASE


Backport PR for 10.2.10:
https://github.com/ceph/ceph/pull/13507


Note You need to log in before you can comment on or make changes to this bug.